## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.m3ter.com/llms.txt)

Use this file to discover all available pages before exploring further.

### Request Support

**cURL**

```
curl --request PUT \
  --url https://api.m3ter.com/organizations/{orgId}/support \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dtEndSupportUsersAccess": "2023-11-07T05:31:56Z",
  "version": 123,
  "supportUsersPermissionPolicy": [
    {
      "effect": "<string>",
      "action": [
        "<string>"
      ],
      "resource": [
        "<string>"
      ]
    }
  ]
}
'
```

**Python**

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/support"

payload = {
    "dtEndSupportUsersAccess": "2023-11-07T05:31:56Z",
    "version": 123,
    "supportUsersPermissionPolicy": [
        {
            "effect": "<string>",
            "action": ["<string>"],
            "resource": ["<string>"]
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```

**JavaScript**

```
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    dtEndSupportUsersAccess: '2023-11-07T05:31:56Z',
    version: 123,
    supportUsersPermissionPolicy: [{effect: '<string>', action: ['<string>'], resource: ['<string>']}]
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/support', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

**PHP**

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/support",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PUT",
  CURLOPT_POSTFIELDS => json_encode([
    'dtEndSupportUsersAccess' => '2023-11-07T05:31:56Z',
    'version' => 123,
    'supportUsersPermissionPolicy' => [
        [
                'effect' => '<string>',
                'action' => [
                                '<string>'
                ],
                'resource' => [
                                '<string>'
                ]
        ]
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

**Go**

```
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api.m3ter.com/organizations/{orgId}/support"

payload := strings.NewReader("{\n  \"dtEndSupportUsersAccess\": \"2023-11-07T05:31:56Z\",\n  \"version\": 123,\n  \"supportUsersPermissionPolicy\": [\n    {\n      \"effect\": \"<string>\",\n      \"action\": [\n        \"<string>\"\n      ],\n      \"resource\": [\n        \"<string>\"\n      ]\n    }\n  ]\n}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

**Response Structure Example**

```
{
  "id": "<string>",
  "version": 123,
  "dtEndSupportUsersAccess": "2023-11-07T05:31:56Z",
  "supportUsersPermissionPolicy": [
    {
      "effect": "<string>",
      "action": [
        "<string>"
      ],
      "resource": [
        "<string>"
      ]
    }
  ]
}
```
